#
# spec file for package perl-Test-use-ok
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Test-use-ok
Version:        0.11
Release:        3.5
%define cpan_name Test-use-ok
Summary:        Alternative to Test::More::use_ok
License:        CC0-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Test-use-ok/
Source:         http://www.cpan.org/authors/id/A/AU/AUDREYT/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
According to the *Test::More* documentation, it is recommended to run
'use_ok()' inside a 'BEGIN' block, so functions are exported at
compile-time and prototypes are properly honored.

That is, instead of writing this:

    use_ok( 'Some::Module' );
    use_ok( 'Other::Module' );

One should write this:

    BEGIN { use_ok( 'Some::Module' ); }
    BEGIN { use_ok( 'Other::Module' ); }

However, people often either forget to add 'BEGIN', or mistakenly group
'use_ok' with other tests in a single 'BEGIN' block, which can create
subtle differences in execution order.

With this module, simply change all 'use_ok' in test scripts to 'use ok',
and they will be executed at 'BEGIN' time. The explicit space after 'use'
makes it clear that this is a single compile-time action.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README README.mkdn

%changelog
* Sun Jul 20 2014 coolo@suse.com
- updated to 0.11
  * LICENSING CHANGE: This compilation and all individual files in it
  are now under the nullary CC0 1.0 Universal terms:
  To the extent possible under law, 唐鳳 has waived all copyright and
  related or neighboring rights to Test-use-ok.
  * Update t/01-basic.t to work with Test::Simple 0.98_02 and later.
  Reported by andk++
* Thu Jul 14 2011 coolo@novell.com
- regnerate with cpanspec
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Sat Apr 10 2010 lars@linux-schulserver.de
- initial version 0.02
